
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{xepersian-thesis-maragheh}
              [2009/01/05 v0.1
 Persian thesis document class in XeLaTeX]
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{report}}
\ProcessOptions
\LoadClass{report}




%

\def\abstractpage{\newpage
%\vskip*{60mm}
\begin{center}{\Small{\bfseries \@title} \\}
\end{center}
\par
\begin{abstract}}
\def\endabstractpage
{\end{abstract}
\newpage
}

\def\latinabstract{\newpage
\vskip 15mm
\begin{center}%{\Large\bfseries \@latintitle \\[5mm]}
{\bfseries Abstract}
\end{center}
\vspace{5mm}}

\def\endlatinabstract{\newpage}

\def\acknowledgementpage{\newpage
\centerline{\Large \bfseries\acknowledgementname}
\vspace{1cm}
\par\noindent}
\def\endacknowledgementpage{\newpage}

\def\titlepage{\newpage\centering
  \parindent 0pt \parskip 10pt plus 1fil minus 1fil
  \def\baselinestretch{1}\@normalsize\vbox to \vsize\bgroup\vbox to 9in\bgroup}
\def\endtitlepage{\par\kern 0pt\egroup\vss\egroup\newpage}

\def\signature#1#2{\par\noindent#1\dotfill\null\\*
  {\raggedright #2\par}}

\def\abstract{\vspace*{0.5cm}\subsection*{\hspace*{6.7cm}\abstractname}\small
\@normalsize}
\def\endabstract{\par}



\def\keywords#1{\par \vspace{5mm}
{\textbf{واژه‌های کلیدی:}} {\textit{ #1}}}

\def\latinkeywords#1{\par \vspace{5mm}
\noindent {\textbf{Keywords:}} {\textit{ #1}}}

\font\titlefont=cmssbx10 scaled 2074

\font\supervisorfont=cmbxti10





\linespread{1.95} 


